<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.huatek.busi.mapper.BusiEqmWarningInfoMapper">

    <sql id="Base_Column_List">
            id as id,
            warning_id as warningId,
            warning_info as warningInfo
    </sql>

    <select id="selectByWarningId" resultType = "com.huatek.busi.entity.BusiEqmWarningInfo" >
        SELECT
        <include refid="Base_Column_List" />
        FROM busi_eqm_warning_info t
        WHERE
        t.warning_id = #{warningId}
    </select>

</mapper>
